#include "vm_math.h"

int ReadMoleculeALCHEMY(char* fname)

{

  char s[80];

  int i,ii;

  FILE *f;

  GLdouble fl;

  float x,y,z;



printf("Open file:%s\n",fname);

  f=fopen(fname,"r");  if(f==NULL) return -1;

  fgets(s,80,f);

  sscanf(s,"%d %s %d %s %d %s %s\n",&NumAtoms,&s,&NumBonds,&s,&ii,&s,&s);

if(debug)printf("Atoms:%3d Bonds:%3d\n",NumAtoms,NumBonds);

  for(i=0;i<NumAtoms;i++) {

    fgets(s,80,f);

    sscanf(s,"%d %s %f %f %f %f\n",

              &ii, &s, &x, &y, &z, &fl);

    atoms[i].x=(GLdouble)x;

    atoms[i].y=(GLdouble)y;

    atoms[i].z=(GLdouble)z;

                   atoms[i].type=-1;            // default

    if (s[0]=='H') atoms[i].type= 1;

    if (s[0]=='B') atoms[i].type= 5;

    if (s[0]=='C') atoms[i].type= 6;

    if (s[0]=='N') atoms[i].type= 7;

    if (s[0]=='O') atoms[i].type= 8;

    if (s[0]=='F') atoms[i].type= 9;

    if (s[0]=='P') atoms[i].type=15;

    if (s[0]=='S') atoms[i].type=16;

    if((s[0]=='S')&&(s[1]=='i')) atoms[i].type=14;

    if((s[0]=='C')&&(s[1]=='l')) atoms[i].type=17;

if(debug)printf("type:%3d x:%8.4f y:%8.4f z:%8.4f\n",atoms[i].type,atoms[i].x,atoms[i].y,atoms[i].z);

  }

  for(i=0;i<NumBonds;i++) {

    fgets(s,80,f);

    sscanf(s,"%d %d %d %s\n", &ii, &bonds[i].a, &bonds[i].b, &s);

    bonds[i].o=0.1;

if(debug)printf("bond: %3d - %3d\n",bonds[i].a,bonds[i].b);

  }

  fclose(f);



  return 0;

}